#ifndef _SYS_TYPES_H
#define _SYS_TYPES_H
#endif

/* 802.1x Authentication Header */
struct wireless_802_1x
{
  u_int8_t auth_version;
  u_int8_t auth_type;
  u_int16_t auth_length;
};

#define  EAP_IDENTITY_LENGTH  50

/* Extensible Authentication Protocol */
struct eap_header
{
  u_int8_t eap_code;
  u_int8_t eap_id;
  u_int16_t eap_length;
  u_int8_t eap_type;
  u_char eap_identity[EAP_IDENTITY_LENGTH];
};
